<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="63aadbd3-cedb-434d-a80b-2495d8169fb6" name="Default" comment="">
      <change beforePath="" afterPath="$PROJECT_DIR$/Jour-10/filter/filter.php" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" afterPath="$PROJECT_DIR$/.idea/workspace.xml" />
    </list>
    <ignored path="$PROJECT_DIR$/out/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_TABLE_DETAILS" value="true" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <expand />
    <select />
  </component>
  <component name="FileEditorManager">
    <leaf>
      <file leaf-file-name="inverse.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/Jour-10/exception/inverse.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="314">
              <caret line="22" column="38" lean-forward="false" selection-start-line="22" selection-start-column="4" selection-end-line="22" selection-end-column="38" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name=".gitignore" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/.gitignore">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="319">
              <caret line="11" column="46" lean-forward="false" selection-start-line="11" selection-start-column="46" selection-end-line="11" selection-end-column="46" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="filter.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/Jour-10/filter/filter.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="145">
              <caret line="5" column="20" lean-forward="false" selection-start-line="5" selection-start-column="10" selection-end-line="5" selection-end-column="20" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
        <option value="CSS File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GradleLocalSettings">
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/Jour-7/exercice-poo-2.php" />
        <option value="$PROJECT_DIR$/Jour-7/ArticleRepository.php" />
        <option value="$PROJECT_DIR$/Jour-7/master-code.php" />
        <option value="$PROJECT_DIR$/Jour-7/Article.php" />
        <option value="$PROJECT_DIR$/Jour-7/detail-code.php" />
        <option value="$PROJECT_DIR$/Jour-7/detail-view.php" />
        <option value="$PROJECT_DIR$/Jour-7/master-view.php" />
        <option value="$PROJECT_DIR$/Jour-7/Client.php" />
        <option value="$PROJECT_DIR$/Jour-8/article-detail-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/article-master-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/client-master-view.php" />
        <option value="$PROJECT_DIR$/Jour-8/client-master-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/Client.php" />
        <option value="$PROJECT_DIR$/Jour-8/Person.php" />
        <option value="$PROJECT_DIR$/Jour-8/person-main.php" />
        <option value="$PROJECT_DIR$/Jour-8/client-detail-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/ClientRepository.php" />
        <option value="$PROJECT_DIR$/Jour-8/client-detail-view.php" />
        <option value="$PROJECT_DIR$/Jour-8/Controller/article-detail-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/Controller/client-detail-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/Controller/client-master-code.php" />
        <option value="$PROJECT_DIR$/Jour-8/View/client-master-view.php" />
        <option value="$PROJECT_DIR$/Jour-8/View/article-master-view.php" />
        <option value="$PROJECT_DIR$/Jour-8/Model/ArticleRepository.php" />
        <option value="$PROJECT_DIR$/Jour-8/Model/ClientRepository.php" />
        <option value="$PROJECT_DIR$/Jour-8/View/accueil-view.php" />
        <option value="$PROJECT_DIR$/Jour-8/Controller/accueil-code.php" />
        <option value="$PROJECT_DIR$/Jour-9/C.php" />
        <option value="$PROJECT_DIR$/Jour-9/Vendor/C.php" />
        <option value="$PROJECT_DIR$/Jour-9/A.php" />
        <option value="$PROJECT_DIR$/Jour-9/B.php" />
        <option value="$PROJECT_DIR$/Jour-9/moiB/B.php" />
        <option value="$PROJECT_DIR$/Jour-9/moiC/C.php" />
        <option value="$PROJECT_DIR$/Jour-9/main-a-b-autoload.php" />
        <option value="$PROJECT_DIR$/Jour-9/moiA/A.php" />
        <option value="$PROJECT_DIR$/Jour-9/composer-demo/composer.json" />
        <option value="$PROJECT_DIR$/Jour-9/DemoStatique.php" />
        <option value="$PROJECT_DIR$/Jour-9/demostatique-main.php" />
        <option value="$PROJECT_DIR$/Jour-9/composer-demo/demo.php" />
        <option value="$PROJECT_DIR$/Jour-8/Controller/article-master-code.php" />
        <option value="$PROJECT_DIR$/Jour-10/Dog.php" />
        <option value="$PROJECT_DIR$/Jour-10/animal-main.php" />
        <option value="$PROJECT_DIR$/Jour-10/Controller.php" />
        <option value="$PROJECT_DIR$/Jour-10/AccueilController.php" />
        <option value="$PROJECT_DIR$/Jour-10/Cat.php" />
        <option value="$PROJECT_DIR$/Jour-10/Animal.php" />
        <option value="$PROJECT_DIR$/Jour-10/erreurs/exception.php" />
        <option value="$PROJECT_DIR$/Jour-10/exception/exception.php" />
        <option value="$PROJECT_DIR$/Jour-10/exception/inverse.php" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/Jour-10/filter/filter.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand />
      <select />
    </treeState>
  </component>
  <component name="PhpDebugGeneral" listening_started="true" />
  <component name="PhpServers">
    <servers>
      <server host="localhost" id="23bcbdce-3d2c-4f3a-b38f-8ca9f7f27228" name="localhost" port="8888" />
    </servers>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds">
    <option name="y" value="23" />
    <option name="width" value="1680" />
    <option name="height" value="1027" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="PackagesPane" />
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="LaPiscine" type="b2602c69:ProjectViewProjectNode" />
              <item name="LaPiscine" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="LaPiscine" type="b2602c69:ProjectViewProjectNode" />
              <item name="LaPiscine" type="462c0819:PsiDirectoryNode" />
              <item name="Jour-9" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="LaPiscine" type="b2602c69:ProjectViewProjectNode" />
              <item name="LaPiscine" type="462c0819:PsiDirectoryNode" />
              <item name="Jour-10" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scratches" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="/usr/local/bin/node" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.fonts.default" />
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="list.type.of.created.stylesheet" value="CSS" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Jour-10/inheritance" />
      <recent name="$PROJECT_DIR$/Jour-9/moiC" />
      <recent name="$PROJECT_DIR$/Jour-9/moiB" />
      <recent name="$PROJECT_DIR$/Jour-9/moi" />
      <recent name="$PROJECT_DIR$/Jour-8/View" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/Jour-8/Model" />
      <recent name="$PROJECT_DIR$/Jour-8" />
      <recent name="$PROJECT_DIR$/Jour-7" />
      <recent name="$PROJECT_DIR$/Jour-6" />
      <recent name="$PROJECT_DIR$/Jour-4" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="63aadbd3-cedb-434d-a80b-2495d8169fb6" name="Default" comment="" />
      <created>1520246122159</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1520246122159</updated>
      <workItem from="1520246125611" duration="169427000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="169427000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="23" width="1680" height="1027" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="true" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32967034" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.2671674" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Dependency Viewer" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32939914" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.22649573" sideWeight="0.5" order="3" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32967034" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Google Cloud Storage" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32967034" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Learn" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="SciView" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32967034" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.40343347" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="1" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="7" side_tool="false" content_ui="combo" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints-dialog>
        <breakpoints-dialog />
      </breakpoints-dialog>
      <option name="time" value="31" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/Jour-7/Commande.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="58">
          <caret line="7" column="0" lean-forward="true" selection-start-line="7" selection-start-column="0" selection-end-line="7" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-7/Article.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="586">
          <caret line="55" column="0" lean-forward="true" selection-start-line="55" selection-start-column="0" selection-end-line="55" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-7/ArticleRepository.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="11" column="65" lean-forward="false" selection-start-line="11" selection-start-column="65" selection-end-line="11" selection-end-column="65" />
          <folding>
            <element signature="e#6#97#0#PHP" expanded="false" />
            <marker date="1520956978695" expanded="true" signature="564:585" ph="SELECT * fro... article" />
            <marker date="1520956978695" expanded="true" signature="1223:1259" ph="SELECT * fro... article" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-7/Client.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="232">
          <caret line="13" column="0" lean-forward="false" selection-start-line="13" selection-start-column="0" selection-end-line="13" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-7/detail-code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="377">
          <caret line="13" column="26" lean-forward="true" selection-start-line="13" selection-start-column="15" selection-end-line="13" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-7/detail-view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="232">
          <caret line="8" column="0" lean-forward="false" selection-start-line="8" selection-start-column="0" selection-end-line="8" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Model/Commande.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../bin/phpMyAdmin/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="348">
          <caret line="19" column="0" lean-forward="false" selection-start-line="19" selection-start-column="0" selection-end-line="19" selection-end-column="0" />
          <folding>
            <marker date="1515508415000" expanded="true" signature="4453:4480" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-6/product-main.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="232">
          <caret line="8" column="17" lean-forward="false" selection-start-line="8" selection-start-column="9" selection-end-line="8" selection-end-column="17" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-6/Product.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1554">
          <caret line="10" column="18" lean-forward="false" selection-start-line="10" selection-start-column="12" selection-end-line="10" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/person-main.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="348">
          <caret line="12" column="18" lean-forward="false" selection-start-line="12" selection-start-column="18" selection-end-line="12" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Person.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="389">
          <caret line="26" column="5" lean-forward="false" selection-start-line="26" selection-start-column="5" selection-end-line="26" selection-end-column="5" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Model/Client.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="12" column="17" lean-forward="false" selection-start-line="12" selection-start-column="12" selection-end-line="12" selection-end-column="17" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/View/client-detail-view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="377">
          <caret line="13" column="33" lean-forward="false" selection-start-line="13" selection-start-column="33" selection-end-line="13" selection-end-column="33" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Model/LigneCommande.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Controller/client-detail-code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="377">
          <caret line="13" column="21" lean-forward="false" selection-start-line="13" selection-start-column="21" selection-end-line="13" selection-end-column="21" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/View/article-detail-view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Controller/article-detail-code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="377">
          <caret line="13" column="21" lean-forward="false" selection-start-line="13" selection-start-column="21" selection-end-line="13" selection-end-column="21" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/View/client-master-view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="382">
          <caret line="15" column="75" lean-forward="false" selection-start-line="15" selection-start-column="75" selection-end-line="15" selection-end-column="75" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Model/ClientRepository.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="303">
          <caret line="50" column="76" lean-forward="false" selection-start-line="50" selection-start-column="76" selection-end-line="50" selection-end-column="76" />
          <folding>
            <marker date="1521103579034" expanded="true" signature="557:577" ph="SELECT * fro... client" />
            <marker date="1521103579034" expanded="true" signature="1252:1297" ph="SELECT * fro... client" />
            <marker date="1521103579034" expanded="true" signature="2022:2057" ph="SELECT * fro... article" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/View/article-master-view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="389">
          <caret line="28" column="7" lean-forward="true" selection-start-line="0" selection-start-column="0" selection-end-line="29" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/View/accueil-view.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="406">
          <caret line="14" column="77" lean-forward="false" selection-start-line="14" selection-start-column="77" selection-end-line="14" selection-end-column="77" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Controller/accueil-code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="145">
          <caret line="5" column="0" lean-forward="false" selection-start-line="5" selection-start-column="0" selection-end-line="5" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/moiC/C.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="87">
          <caret line="8" column="0" lean-forward="false" selection-start-line="8" selection-start-column="0" selection-end-line="8" selection-end-column="15" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/Vendor/C.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="87">
          <caret line="8" column="13" lean-forward="false" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/moiA/A.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="145">
          <caret line="10" column="11" lean-forward="false" selection-start-line="10" selection-start-column="11" selection-end-line="10" selection-end-column="11" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/moiB/B.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="87">
          <caret line="8" column="13" lean-forward="false" selection-start-line="8" selection-start-column="0" selection-end-line="9" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/composer-demo/vendor/composer/autoload_real.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="573">
          <caret line="21" column="29" lean-forward="false" selection-start-line="21" selection-start-column="8" selection-end-line="21" selection-end-column="29" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/composer-demo/vendor/autoload.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="116">
          <caret line="4" column="52" lean-forward="false" selection-start-line="4" selection-start-column="24" selection-end-line="4" selection-end-column="52" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/composer-demo/composer.json">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="290">
          <caret line="10" column="34" lean-forward="true" selection-start-line="10" selection-start-column="13" selection-end-line="10" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/composer-demo/demo.log">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="493">
          <caret line="17" column="34" lean-forward="false" selection-start-line="15" selection-start-column="28" selection-end-line="17" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/composer-demo/demo.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="187">
          <caret line="16" column="36" lean-forward="false" selection-start-line="16" selection-start-column="36" selection-end-line="16" selection-end-column="36" />
          <folding>
            <element signature="e#38#59#0#PHP" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/main-a-b-autoload.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4">
          <caret line="12" column="15" lean-forward="true" selection-start-line="12" selection-start-column="15" selection-end-line="12" selection-end-column="15" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/demostatique-main.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="261">
          <caret line="9" column="7" lean-forward="false" selection-start-line="9" selection-start-column="7" selection-end-line="9" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-9/DemoStatique.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="290">
          <caret line="15" column="26" lean-forward="true" selection-start-line="15" selection-start-column="8" selection-end-line="15" selection-end-column="26" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-6/rectangle-main.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-6/Rectangle.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="15" column="44" lean-forward="false" selection-start-line="15" selection-start-column="15" selection-end-line="15" selection-end-column="44" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Model/ArticleRepository.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="42" column="34" lean-forward="false" selection-start-line="42" selection-start-column="34" selection-end-line="42" selection-end-column="34" />
          <folding>
            <element signature="n#findAllArticles#0;n#ArticleRepository#0;n#!!top" expanded="false" />
            <element signature="n#findLatest3Articles#0;n#ArticleRepository#0;n#!!top" expanded="false" />
            <element signature="n#findById#0;n#ArticleRepository#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Controller/article-master-code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="203">
          <caret line="7" column="0" lean-forward="false" selection-start-line="7" selection-start-column="0" selection-end-line="7" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Model/Article.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="283">
          <caret line="22" column="7" lean-forward="false" selection-start-line="22" selection-start-column="7" selection-end-line="22" selection-end-column="7" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/inheritance/Dog.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="174">
          <caret line="11" column="9" lean-forward="false" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="9" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/inheritance/animal-main.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="361">
          <caret line="16" column="49" lean-forward="false" selection-start-line="16" selection-start-column="49" selection-end-line="16" selection-end-column="49" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-8/Controller/client-master-code.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="58">
          <caret line="2" column="0" lean-forward="false" selection-start-line="2" selection-start-column="0" selection-end-line="6" selection-end-column="41" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/inheritance/AccueilController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="232">
          <caret line="13" column="42" lean-forward="true" selection-start-line="13" selection-start-column="25" selection-end-line="13" selection-end-column="42" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/inheritance/Controller.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="174">
          <caret line="11" column="16" lean-forward="false" selection-start-line="11" selection-start-column="6" selection-end-line="11" selection-end-column="16" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/inheritance/Cat.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="261">
          <caret line="14" column="0" lean-forward="false" selection-start-line="14" selection-start-column="0" selection-end-line="14" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/inheritance/Animal.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="137">
          <caret line="14" column="66" lean-forward="false" selection-start-line="14" selection-start-column="66" selection-end-line="14" selection-end-column="66" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/exception/exception.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="406">
          <caret line="14" column="20" lean-forward="false" selection-start-line="14" selection-start-column="20" selection-end-line="14" selection-end-column="20" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="11" column="46" lean-forward="false" selection-start-line="11" selection-start-column="46" selection-end-line="11" selection-end-column="46" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/exception/inverse.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="314">
          <caret line="22" column="38" lean-forward="false" selection-start-line="22" selection-start-column="4" selection-end-line="22" selection-end-column="38" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/Jour-10/filter/filter.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="145">
          <caret line="5" column="20" lean-forward="false" selection-start-line="5" selection-start-column="10" selection-end-line="5" selection-end-column="20" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <last-edited>Python 3.6 (DeepLearningForCoders-4yL9ahmg) interpreter library</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>LaPiscine</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>Python 3.6 (DeepLearningForCoders-4yL9ahmg)</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>